## START: Set by rpmautospec
## (rpmautospec version 0.3.5)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%global debug_package %{nil}

%global _avsdir /usr/lib/firmware/intel/avs

Name:           avs-topology-bin
Version:        1
Release:        %autorelease
Summary:        Configuration files for Intel AudioVoiceSpeech (AVS) driver

License:        Apache-2.0
URL:            https://github.com/thesofproject/avs-topology-xml
Source0:        https://github.com/thesofproject/avs-topology-xml/archive/refs/heads/main.tar.gz

BuildArch:      noarch

BuildRequires:  avstplg
BuildRequires:  alsa-topology-utils
Requires:       linux-firmware

%description
Configuration files for Intel AudioVoiceSpeech (AVS) driver in binary format.

%prep
%autosetup -n avs-topology-xml-main


%build
# Convert XML to UCM
for f in */*.xml; do
	avstplg -c "${f}" -o "${f%xml}conf"
done

# Convert UCM to bin
for g in */*.conf; do
	alsatplg -c "${g}" -o "${g%conf}bin"
done

%install
mkdir -p %{buildroot}%{_avsdir}
install -Dpm0644 -t %{buildroot}%{_avsdir} */*.bin

%files
%{_avsdir}/*.bin

%changelog
* Thu Jun 01 2023 Justin Koh <j@ustink.org> - 1-1
- Package avs-topology-bin
